Name:           perl-Image-SubImageFind
Version:        0.03
Release:        4%{?dist}
Summary:        Perl extension for locating a sub-image within an image
License:        GPLv2 and GPLv2+
# patch to address https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address has been sent upstream at https://rt.cpan.org/Ticket/Display.html?id=93990
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Image-SubImageFind/
Source0:        http://www.cpan.org/modules/by-module/Image/Image-SubImageFind-%{version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=93989
Patch1:         image_subimagefind_makefile.patch
BuildRequires:  fftw-devel
BuildRequires:  libstdc++-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  perl
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl module to aide in locating a sub-image within an image.

%prep
%setup -q -n Image-SubImageFind-%{version}

%patch1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes Copying README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Image*
%{_mandir}/man3/*

%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.03-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 David Dick <ddick@cpan.org> - 0.03-1
- Initial release
